<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('point_pelanggarans', function (Blueprint $table) {
            $table->increments('id_point_pelanggaran');
            $table->string('jenis_pelanggaran', 255);
            $table->char('point', 3);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('point_pelanggarans');
    }
};
